#ifndef _PIUMA_LOG_VIEWER_H_
#define _PIUMA_LOG_VIEWER_H_

#include "logger.h"

struct LogViewer
{
	Logger *logger = NULL;

	LogId next_id_to_print_on_console = 0;



	static LogViewer Init(Logger *logger);

	void Print_New_Messages_On_Console();
	void Draw_New_Messages_On_GUI();
};

#endif
